POST api/particlecounterapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "356fe767-b7fa-44e0-bfab-7cb294128ceb",
"cleanroom_id": "ec2919d2-5c66-49b4-9267-b1f7e03d722a",
"description": "sample string 3",
"id": "a19a65d3-c140-4106-b0d0-820f746283fd",
"ip_address": "sample string 5",
"particle_counter_type_id": "30a6a81a-f2d5-4374-a08e-6b561ad50b64",
"site_id": "66b9c3cc-b06d-46ee-b60f-e469e6450e45"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>356fe767-b7fa-44e0-bfab-7cb294128ceb</anatype_id> <cleanroom_id>ec2919d2-5c66-49b4-9267-b1f7e03d722a</cleanroom_id> <description>sample string 3</description> <id>a19a65d3-c140-4106-b0d0-820f746283fd</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>30a6a81a-f2d5-4374-a08e-6b561ad50b64</particle_counter_type_id> <site_id>66b9c3cc-b06d-46ee-b60f-e469e6450e45</site_id> </particle_counter>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ca327bb8-ee62-4844-894e-110255b69050"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ca327bb8-ee62-4844-894e-110255b69050</guid>